APT-CACHE(8)

NAME
apt-cache - zoeken in de cache van APT

SAMENVATTING

apt-cache [-agipns] [-o=configuratietekenreeks] [-c=configuratiebestand] {gencaches | showpkg pakket... | showsrc pakket... | stats | dump | dumpavail | unmet | search reguliere_expressie... | show pakket [{=pakketversienummer | /doelrelease}]... | depends pakket [{=pakketversienummer | /doelrelease}]... | rdepends pakket [{=pakketversienummer | /doelrelease}]... | pkgnames [prefix] | dotty pakket [{=pakketversienummer | /doelrelease}]... | xvcg pakket [{=pakketversienummer | /doelrelease}]... | policy [pakket...] | madison pakket... | {-v | --version} | {-h | --help}}

OMSCHRIJVING

apt-cache voert verschillende operaties uit op de pakketcache van APT. apt-cache wijzigt de toestand van het systeem niet, maar voorziet in operaties die de metadata van een pakket doorzoeken en er interessante uitvoer mee genereren. De metadata worden verkregen en bijgewerkt via het commando 'update' van bijvoorbeeld apt-get, waardoor ze verouderd kunnen zijn als de laatste update te lang geleden is. Maar daartegenover staat dat de werking van apt-cache niet afhankelijk is van de beschikbaarheid van de geconfigureerde pakketbronnen (bijv. offline).

Tenzij de optie -h, of --help opgegeven werd, moet een van de onderstaande commando's gebruikt worden.

gencaches
    gencaches maakt de pakketcache van APT aan. Als die ontbreekt of verouderd is, wordt dit commando impliciet uitgevoerd door alle commando's die deze cache nodig hebben.

showpkg pakket...
    showpkg geeft informatie weer over de aan de commandoregel opgesomde pakketten. De overige argumenten zijn pakketnamen. De beschikbare versies en achterwaartse vereisten van ieder opgesomd pakket worden weergegeven, evenals de voorwaartse vereisten voor elke versie. Voorwaartse (normaal) vereisten zijn die pakketten waarvan het pakket in kwestie afhankelijk is. Achterwaartse vereisten zijn die pakketten die afhankelijk zijn van het pakket in kwestie. Dus, aan de voorwaartse vereisten van een pakket moet voldaan worden, aan de achterwaartse vereisten niet. Bijvoorbeeld, apt-cache showpkg libreadline2 zal uitvoer genereren in de zin van:

        Package: libreadline2
        Versions: 2.1-12(/var/state/apt/lists/foo_Packages),
        Reverse Depends:
          libreadlineg2,libreadline2
          libreadline2-altdev,libreadline2
        Dependencies:
        2.1-12 - libc5 (2 5.4.0-0) ncurses3.0 (0 (null))
        Provides:
        2.1-12 -
        Reverse Provides:
    Hier is dus te zien dat libreadline2, versie 2.1-12, afhankelijk is van libc5 en ncurses3.0 die geïnstalleerd moeten zijn opdat libreadline2 zou werken. Op hun beurt zijn libreadlineg2 en libreadline2-altdev afhankelijk van libreadline2. Indien libreadline2 geïnstalleerd wordt, moeten ook libc5 en ncurses3.0 (en ldso) geïnstalleerd zijn; libreadlineg2 en libreadline2-altdev moeten niet geïnstalleerd worden. Om de exacte betekenis van de rest van de uitvoer te kennen, raadpleegt u best de broncode van apt.

stats
    stats geeft enkele statistieken weer over de cache. Er worden geen andere argumenten verwacht. De weergegeven statistieken zijn:

        • Total package names is het aantal pakketnamen dat in de cache gevonden werd.

        • Normal packages is het aantal reguliere, gewone pakketnamen; dit zijn pakketten met een één-op-één relatie tussen hun naam en de naam waarmee andere pakketten naar hen verwijzen om een vereiste aan te geven. De meerderheid van de pakketten valt in deze categorie.

        • Pure virtual packages is het aantal pakketten dat enkel bestaat als een virtuele pakketnaam. Dit houdt in dat pakketten enkel "voorzien in" de virtuele pakketnaam en dat geen enkel pakket echt die naam gebruikt. Bijvoorbeeld, "mail-transport-agent" is in het Debian systeem een zuiver virtueel pakket. Verschillende pakketten voorzien in "mail-transport-agent", maar er is geen enkel pakket dat de naam "mail-transport-agent" draagt.

        • Single virtual packages is het aantal virtuele pakketten waarvoor slechts een pakket in dat specifieke virtuele pakket voorziet. In het Debian systeem is bijvoorbeeld "X11-text-viewer" een virtueel pakket, maar slechts een pakket, xless, voorziet in "X11-text-viewer".

        • Mixed virtual packages is het aantal pakketten dat ofwel voorziet in een specifiek virtueel pakket of als pakketnaam de naam van het virtueel pakket draagt. In het Debian systeem is "debconf" bijvoorbeeld tegelijk een echt pakket en tevens wordt er in voorzien door het pakket debconf-tiny.

        • Missing is het aantal pakketnamen waarnaar verwezen wordt in een vereiste, maar waarin door geen enkel pakket voorzien wordt. Ontbrekende pakketten kunnen opduiken wanneer men geen toegang heeft tot een volledige distributie of indien een pakket (reëel of virtueel) verwijderd werd uit de distributie. Gewoonlijk wordt ernaar verwezen in een Conflicts of een Breaks declaratie.

        • Total distinct versies is het aantal pakketversies dat in de cache aangetroffen wordt. Indien er gebruik gemaakt wordt van meer dan een distributie (bijvoorbeeld "stable" en "unstable"), dan kan deze waarde aanzienlijk groter zijn dan het totale aantal pakketnamen.

        • Total dependencies is het totaal aantal vereistenrelaties die alle pakketten die zich in de cache bevinden, samen opvragen.

showsrc pakket...
    showsrc geeft alle fiches van bronpakketten weer die overeenkomen met de opgegeven pakketnamen. Alle versies worden weergegeven evenals alle fiches van binaire pakketten die met de naam overeenkomen. Gebruik --only-source om louter bronpakketten weer te geven.

dump
    dump geeft een beknopte lijst weer van alle pakketten uit de cache. Dit is in de eerste plaats bedoeld om te debuggen.

dumpavail
    dumpavail geeft op stdout een lijst van beschikbare pakketten weer. Dit is geschikt om gebruikt te worden met dpkg(1) en ook de meethode dselect(1) maakt er gebruik van.

unmet
    unmet geeft een samenvatting van alle vereisten waaraan in de pakketcache niet voldaan wordt.

show pakket...
    show vervult een functie die vergelijkbaar is met dpkg --print-avail. Het geeft de pakketsteekkaarten weer van de genoemde pakketten.

search reguliere_expressie...
    search doorzoekt de volledige inhoud van alle beschikbare pakketlijsten aan de hand van de opgegeven POSIX reguliere expressie; zie regex(7). Het zoekt in de pakketnamen en de beschrijvingen of de reguliere expressie erin aangetroffen wordt en geeft de pakketnaam en de beknopte beschrijving weer, met inbegrip van de pakketnamen van virtuele pakketten. Indien --full opgegeven werd, dan wordt voor elk overeenkomstig pakket een uitvoer geproduceerd die identiek is aan die van show. En indien --names-only werd opgegeven, dan wordt niet in de uitgebreide omschrijving gezocht, maar wordt enkel de pakketnaam en de pakketten waarin voorzien wordt doorzocht.

    Men kan afzonderlijke argumenten opgeven om verschillende zoekpatronen te specificeren, waarop dan een logische en toegepast wordt.

depends pakket...
    depends geeft een lijst weer van alle vereisten van een pakket en alle mogelijke andere pakketten die aan deze vereisten tegemoet kunnen komen.

rdepends pakket...
    rdepends geeft de lijst van alle achterwaartse vereisten van een pakket weer.

pkgnames [prefix]
    Dit commando geeft de naam weer van elk pakket dat door APT gekend is. Een prefix om de lijst van pakketnamen te filteren kan als optioneel argument gegeven worden. De uitvoer is geschikt om gebruikt te worden met de shell-functie Tab-aanvulling en ze wordt extreem snel gegenereerd. Dit commando wordt best gebruikt met de optie --generate.

    Merk op dat een pakket waarvan APT weet heeft niet noodzakelijk gedownload of geïnstalleerd kan worden of geïnstalleerd is. Virtuele pakketten worden bijvoorbeeld ook opgenomen in de gegenereerde lijst.

dotty pakket...
    dotty pikt op de commandoregel een lijst pakketten op en genereert uitvoer die geschikt is om gebruikt te worden door dotty uit het pakket GraphViz[1]. Het resultaat is een geheel van knooppunten en gebogen lijnen die de relaties tussen pakketten voorstellen. Standaard trekken de als argument opgegeven pakketten al hun vereisten na, hetgeen een zeer uitgebreide grafiek kan opleveren. Om de uitvoer te beperken tot die pakketten die expliciet opgegeven werden aan de commandoregel, stelt men de optie APT::Cache::GivenOnly in.

    De knooppunten in het weergegeven resultaat kunnen verschillende vormen aannemen: gewone pakketten worden als een vierkant voorgesteld, zuivere virtuele pakketten als een driehoek, gemengde virtuele pakketten als diamanten en ontbrekende pakketten als een zeshoek. Een vierkant met een oranje kleur stelt het einde van een recursiviteit voor (leaf package - eindpakket). Blauwe lijnen stellen een voorafgaandelijke vereiste voor en groene lijnen symboliseren conflicten.

    Opgelet, dotty kan geen grafiek maken van een uitgebreide set pakketten.

xvcg pakket...
    Hetzelfde als dotty, maar dan voor xvcg uit het VCG gereedschap[2].

policy [pakket...]
    policy is bedoeld om te helpen bij het debuggen van problemen die verband houden met het bestand preferences. Zonder argumenten zal het de prioriteiten van elke pakketbron weergeven. Anders zal het voor het opgegeven pakket gedetailleerde informatie over de prioriteitskeuze weergeven.

madison pakket...
    Het commando madison van apt-cache tracht het uitvoerformaat en een deel van de functionaliteit na te bootsen van madison, het Debian gereedschap voor archiefbeheer. Het geeft de beschikbare versies van een pakket weer in een tabelformaat. In tegenstelling tot het originele madison, kan het enkel informatie weergeven betreffende de architectuur waarvoor APT pakketlijsten opgehaald heeft (APT::Architecture).

OPTIES

Alle commandoregelopties kunnen via het configuratiebestand ingesteld worden. de omschrijving geeft de in te stellen configuratieoptie op. Bij booleaanse opties kunt u instellingen uit het configuratiebestand overschrijven door iets te gebruiken als -f-, --no-f, -f=no en meerdere andere variaties.

-p, --pkg-cache
    Het bestand waarin de pakketcache opgeslagen wordt kiezen. De pakketcache is de primaire cache die door alle operaties aangesproken wordt. Configuratie-item: Dir::Cache::pkgcache.

-s, --src-cache
    Het bestand kiezen waarin de broncache opgeslagen wordt. Deze broncache wordt enkel door gencaches gebruikt en het bevat een verwerkte versie van de pakketinformatie afkomstig van externe bronnen. Wanneer de pakketcache opgebouwd wordt, wordt gebruik gemaakt van de broncache om te vermijden dat alle pakketbestanden opnieuw verwerkt moeten worden. Configuratie-item: Dir::Cache::srcpkgcache.

-q, --quiet
    Stille modus. Door het weglaten van voortgangsindicatoren genereert het uitvoer die geschikt is voor logbestanden. Meer q's, met een maximum van 2, leveren een hogere mate van beknopte uitvoer op. U kunt ook -q=# gebruiken om de mate van gereduceerde uitvoer in te stellen en zo de instelling uit het configuratiebestand overschrijven. Configuratie-item: quiet.

-i, --important
    Enkel belangrijke vereisten weergeven. Is bedoeld voor gebruik met unmet en depends. Maakt dat enkel de relaties Depends en Pre-Depends weergegeven worden. Configuratie-item: APT::Cache::Important.

--no-pre-depends, --no-depends, --no-recommends, --no-suggests, --no-conflicts, --no-breaks, --no-replaces, --no-enhances
    Standaard geven de opdrachten depends en rdepends alle vereisten weer. Met deze opties kan dit aangepast worden, waardoor het opgegeven vereistentype weggelaten wordt. Configuratie-item: APT::Cache::ShowDependencyType, bijvoorbeeld APT::Cache::ShowRecommends.

--implicit
    Standaard geven depends en rdepends enkel die vereisten weer die expliciet in de metadata vermeld worden. Met deze optie worden ook vereisten getoond die impliciet toegevoegd worden op basis van de gevonden gegevens. Bijvoorbeeld een Conflicts: foo houdt impliciet in dat dit pakket ook tegenstrijdig is met het pakket foo uit om het even welke andere architectuur. Configuratie-item: APT::Cache::ShowImplicit.

-f, --full
    Bij zoekbewerkingen de volledige steekkaart van pakketten weergeven. Configuratie-item: APT::Cache::ShowFull.

-a, --all-versions
    De volledige steekkaart van alle beschikbare versies weergeven. Dit is de standaard. Om dit uit te schakelen moet u --no-all-versions gebruiken. Indien --no-all-versions werd opgegeven, zal enkel de informatie over het pakket dat kandidaat voor installatie is, getoond worden. Deze optie is enkel op het commando show van toepassing. Configuratie-item: APT::Cache::AllVersions.

-g, --generate
    Automatisch een nieuwe pakketcache genereren, eerder dan de bestaande pakketcache te gebruiken. Dit is de standaard. Om dit uit te schakelen moet u --no-generate gebruiken. Configuratie-item: APT::Cache::Generate.

--names-only, -n
    Enkel zoeken in de pakketnamen en in de pakketnamen waarin voorzien wordt en niet in de uitgebreide beschrijvingen. Configuratie-item: APT::Cache::NamesOnly.

--all-names
    pkgnames alle namen laten weergeven, inclusief virtuele pakketten en ontbrekende vereisten. Configuratie-item: APT::Cache::AllNames.

--recurse
    depends en rdepends recursief laten werken, zodat alle vermelde pakketten eenmaal weergegeven worden. Configuratie-item: APT::Cache::RecurseDepends.

--installed
    De uitvoer van depends en rdepends beperken tot pakketten die momenteel geïnstalleerd zijn. Configuratie-item: APT::Cache::Installed.

--with-source bestandsnaam
    Voegt het opgegeven bestand toe als een bron voor metadata. Kan herhaald worden om meerdere bestanden toe te voegen. Momenteel worden de bestanden *.deb, *.dsc, *.changes, Sources en Packages ondersteund evenals mappen van broncodepakketten. Overeenstemmende bestanden worden enkel op basis van hun naam gevonden, niet op basis van hun inhoud!

    Bestanden Sources en Packages mogen gecomprimeerd worden in elk formaat dat door apt ondersteund wordt, zolang ze de correcte extensie hebben. Indien u in één map meerdere van deze bestanden moet opslaan, kunt u aan de naam een voorvoegsel naar keuze toevoegen met als laatste letter een liggend streepje ("_"). Bijvoorbeeld: mijn.voorbeeld_Packages.xz

    Merk op dat deze bronnen beschouwd worden als te vertrouwen (zie apt-secure(8)). Configuratie-item: APT::Sources::With.

-h, --help
    Een korte samenvatting van het gebruik weergeven.

-v, --version
    Het versienummer van het programma weergeven.

--audit
    Controle- (en kennisgevings)berichten tonen. Dit heeft voorrang op de optie quiet, maar alleen voor waarschuwingsberichten, niet voor voortgangsberichten.

-c, --config-file
    Configuratiebestand; Een te gebruiken configuratiebestand opgeven. Het programma zal het standaard configuratiebestand inlezen en nadien dit configuratiebestand. Als configuratie-instellingen opgegeven moeten worden vooraleer de standaard configuratiebestanden verwerkt worden, geef dan een bestand op met de omgevingsvariabele APT_CONFIG. Raadpleeg apt.conf(5) voor informatie over de syntaxis.

-o, --option
    Een configuratieoptie instellen; Dit stelt een willekeurige configuratieoptie in. De syntaxis is -o Foo::Bar=bar. -o en --option kunnen meermaals gebruikt worden om verschillende opties in te stellen.

--cli-versie
    Vraagt om een specifieke CLI-versie. Dit is een patroon dat een MAJOR.MINOR-versie gebruikt. U kunt de MINOR-versie weglaten, in welk geval de nieuwste ondersteunde minor-versie wordt gebruikt.

    Versietracks worden als volgt weergegeven: Versie 3.2 heeft equivalente versies 0.32, 1.22 en 2.12, waarin nieuwe functies voor de gespecificeerde hoofdversies zijn geïmplementeerd.

    Een speciaal geval is het X.9-versiepatroon: op een versie als 2.9 volgt 3.0, maar 2.10 volgt direct op 2.8, aangezien we oneven versienummers gebruiken als ontwikkelingsserie (2.9 is de ontwikkelingsserie van 3.0).

    Deze functie is geïntroduceerd in APT 3.1.10 en vervangt de binair-specifieke configuratie. U kunt de optie APT::Version gebruiken voor een soortgelijk effect op oudere binaire bestanden, bijvoorbeeld door -o APT::Version=2 te gebruiken om apt(8) te laten werken als in de 2.x-serie.

    De standaardwaarde is de huidige APT-versie voor apt(8) en 0.(10 * major + minor) voor de klassieke commando's. De 0.X-serie is zachtjes afgeschreven en de andere commando's zullen in de toekomst worden omgezet naar de 2.x-serie.

--no-color, --color
    Kleur aan- of uitzetten. Kleur staat standaard aan voor apt(8) op ondersteunde terminals en kan ook uitgezet worden met de omgevingsvariabelen NO_COLOR en APT_NO_COLOR, of verder geconfigureerd worden met de configuratieoptie en -scope APT::Color; zie apt.conf(5) voor informatie hierover.

BESTANDEN

/etc/apt/sources.list
    Locaties waarvandaan pakketten opgehaald moeten worden. Configuratie-item: Dir::Etc::SourceList.

/etc/apt/sources.list.d/
    Bestandsfragmenten met locaties waarvandaan pakketten opgehaald moeten worden. Configuratie-item: Dir::Etc::SourceParts.

/var/lib/apt/lists/
    Opslaggebied voor statusinformatie over elke pakketbron vermeld in sources.list(5) Configuratie-item: Dir::State::Lists.

/var/lib/apt/lists/partial/
    Opslaggebied voor statusinformatie tijdens het ophalen. Configuratie-item: Dir::State::Lists (partial zal impliciet toegevoegd worden)

ZIE OOK

apt.conf(5), sources.list(5), apt-get(8), apt-patterns(7)

DIAGNOSTIEK

apt-cache geeft de terugkeerwaarde nul bij een normaal verlopen operatie, het decimaal getal 100 in geval van een fout.

BUGS

APT bugpagina[3]. Indien u een bug in APT wilt rapporteren, raadpleeg dan /usr/share/doc/debian/bug-reporting.txt of het reportbug(1) commando.

VERTALING

De Nederlandse vertaling werd in 2015 gemaakt door Frans Spiesschaert <Frans.Spiesschaert@yucom.be>, in samenwerking met het Debian Dutch l10n Team <debian-l10n-dutch@lists.debian.org>.

Merk op dat de vertaling van dit document nog onvertaalde delen kan bevatten. Dit is intentioneel om te vermijden dat inhoud verloren zou gaan door een vertaling die achterop loopt op het origineel.

AUTEURS

Jason Gunthorpe

APT-team

OPMERKINGEN

1.  GraphViz
    https://graphviz.org/

2.  VCG gereedschap
    https://www.rw.cdl.uni-saarland.de/people/sander/private/html/gsvcg1.html

3.  APT bugpagina
    https://bugs.debian.org/src:apt